Update a Price

Path Params
string
required
Body Params
string
enum
required

String representing the price type. The available options are:

one_time : applies to prices that will only be charged once

recurring : applies to prices that have a recurring frequency and can be added as a subscription

Allowed:
string
enum

Pricing Models available:

fixed_amount : In this case, merchant choses how much the customer will pay

customer_chooses : In this case customer chooses the amount that he will pay. Useful for payment links that allow the customer to set the price they want to pay or donate.

Allowed:
string
enum

Describes how to compute the final price to be charged to a customer. Valid options are:

per_unit : Indicates that during a checkout or in a recurring subscription, the final amount to be charged will be equivalent to: billingScheme x quantity

tiered : Indicates that the unit pricing will be computed using a tiering strategy as defined using the tiers and tiers_mode attributes.

Allowed:
string
enum

Three-letter ISO currency code, in lowercase. Must be a supported currency.

Currently only currency supported is usd

Allowed:
float

Amount to be paid per billing unit as set on the billingScheme property . Only applicable when pricingModel=fixed_amount .

customerChoosesSettings
object

This is an object that determines defaults and limits for the amount that will be entered by the customer. Only applicable when pricingModel=customer_chooses

recurring
object

This is an object that determines the configuration for when the price is of type recurring.

boolean
Headers
string

A unique identifier to ensure the same operation isn't processed multiple times, preventing duplicate transactions.

string

Specifies the account for which update a price is intended. This is used for scenarios where one partner updating price on behalf of another partner, such as in PayFac or related partner relationships.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json